Module java.desktop
Package javax.swing

# Class ToolTipManager.insideTimerAction

java.lang.Object
javax.swing.ToolTipManager.insideTimerAction

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  ToolTipManager

protected class ToolTipManager.insideTimerAction extends Object implements ActionListener
Inside timer action.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`insideTimerAction()`
Constructs an `insideTimerAction`.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Invoked when an action occurs.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### insideTimerAction

protected insideTimerAction()
Constructs an `insideTimerAction`.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Invoked when an action occurs.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - the event to be processed